using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// VipGrade 的摘要说明
/// </summary>
namespace VipGrade
{

    public class TVipGrade
    {
        public TVipGrade()
        {
            //
            // TODO: 在此处添加构造函数逻辑
            //
        }
        private int _ID;
        private string _Name;
        private int _ServiceTime;
        private string _Flag;
        private int _Price;
        private int _Register;
        private string _ManageRights;
        private int _SupplyCount;
        private int _PurchaseCount;
        private int _ExpoCount;
        private int _SincereCount;
        private int _WillCount;
        private string _ShopTemplate;



        public int ID
        {
            get { return _ID; }
            set { _ID = value; }
        }
       /// <summary>
       /// 等级名称
       /// </summary>
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }
        /// <summary>
        /// 服务年限
        /// </summary>
        public int ServiceTime
        {
            get { return _ServiceTime; }
            set { _ServiceTime = value; }
        }
        /// <summary>
        /// 等级标志
        /// </summary>
        public string Flag
        {
            get { return _Flag; }
            set { _Flag = value; }
        }
        /// <summary>
        /// 申请费用
        /// </summary>
        public int Price
        {
            get { return _Price; }
            set { _Price = value; }
        }
        /// <summary>
        /// 是否允许注册
        /// </summary>
        public int Register
        {
            get { return _Register; }
            set { _Register = value; }
        }

        /// <summary>
        /// 条数设置方式
        /// </summary>
        public string ManageRights
        {
            get { return _ManageRights; }
            set { _ManageRights = value; }
        }
        /// <summary>
        /// 供应数量
        /// </summary>
        public int SupplyCount
        {
            get {
                if (_SupplyCount < 0)
                    return 0;
                else
                    return _SupplyCount;
            }
            set {
                if (value < 0)
                    _SupplyCount = 0;
                else
                   _SupplyCount = value; 
            }
        }
        /// <summary>
        /// 求购数量
        /// </summary>
        public int PurchaseCount
        {
            get { return _PurchaseCount; }
            set { _PurchaseCount = value; }
        }
        /// <summary>
        /// 展会数量
        /// </summary>
        public int ExpoCount
        {
            get { return _ExpoCount; }
            set { _ExpoCount = value; }
        }
        /// <summary>
        /// 招商数量
        /// </summary>
        public int SincereCount
        {
            get { return _SincereCount; }
            set { _SincereCount = value; }
        }
        /// <summary>
        /// 加盟数量
        /// </summary>
        public int WillCount
        {
            get { return _WillCount; }
            set { _WillCount = value; }
        }

        /// <summary>
        /// 加盟数量
        /// </summary>
        public string ShopTemplate
        {
            get { return _ShopTemplate; }
            set { _ShopTemplate = value; }
        }

    }
}